import { FunctionComponent } from "react";
import { IconProps } from "./type";

export const ImageIcon: FunctionComponent<IconProps> = ({ className }) => {
  return (
    <svg
      width="20"
      height="20"
      viewBox="0 0 20 21"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
      className={className}
    >
      <path
        d="M14.5 8.55933C16.244 8.55933 17.6911 7.30313 17.6911 5.71636C17.6911 4.12958 16.2811 2.87338 14.5 2.87338C12.7189 2.87338 11.3089 4.1957 11.3089 5.74942C11.3089 7.30313 12.756 8.55933 14.5 8.55933ZM14.5 3.49911C16.7625 3.49911 16.9777 4.89688 16.9777 5.71636C16.9777 7.55434 15.3534 8 14.5 8C13.6466 8 12.0489 7.39846 12.0489 5.74942C12.1748 4 13.296 3.49911 14.5 3.49911Z"
        fill="currentColor"
      />
      <path
        d="M17.6623 0.5H2.30056C1.03896 0.5 0 1.42562 0 2.54959V18.4174C0 19.5413 1.03896 20.5 2.33766 20.5H17.6623C18.9239 20.5 20 19.5744 20 18.4174V2.54959C19.9629 1.42562 18.9239 0.5 17.6623 0.5ZM2.30056 1.32501H17.6623C18.0334 1.32501 19.0875 2.21901 19.0875 2.54959V14.9132L15.5844 12.1364C14.8052 11.5744 13.692 11.6074 12.987 12.2355L9.94434 14.9132L6.04824 11.8058C5.30612 11.2107 4.19295 11.2107 3.45083 11.8058L1.0875 13.825V2.54959C1.0875 2.21901 1.9666 1.32501 2.30056 1.32501ZM17.6623 19.5799H2.33766C1.9666 19.5799 1.0875 18.7479 1.0875 18.4174V14.825L4.34642 12.1364C4.45774 12.0372 4.82281 12.0372 4.93413 12.1364L8 14.5C8.4125 14.675 9.5 16 9.94434 15.825C10.1213 15.7553 11 15 11 15L13.5875 12.825C14.3029 12.2355 14.9762 12.7258 15.0875 12.825L19.0875 15.825V18.4174C19.1246 18.7479 17.9963 19.5799 17.6623 19.5799Z"
        fill="currentColor"
      />
    </svg>
  );
};
